package com.zivilon.cinder_loe;

import net.minecraft.item.ItemStack;

import java.lang.reflect.Method;

public class CinderBrewingRecipes {
    public static void addCustomBrewingRecipe(ItemStack result, Object... ingredients) {
        try {
            Class<?> brewingRecipesClass = Class.forName("lotr.common.recipe.LOTRBrewingRecipes");
            Method addBrewingRecipeMethod = brewingRecipesClass.getDeclaredMethod("addBrewingRecipe", ItemStack.class, Object[].class);

            addBrewingRecipeMethod.setAccessible(true);

            addBrewingRecipeMethod.invoke(null, result, ingredients);


        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
